Run of lintian-fixes for bullet

Try this locally (using the lintian-brush package):

debcheckout bullet
cd bullet
lintian-brush

Merge these changes:

git pull https://janitor.debian.net/git/bullet lintian-fixes/main

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 2f4ad89..17db71d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+bullet (2.89+dfsg-2) UNRELEASED; urgency=low
+
+  * Use secure URI in Homepage field.
+  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
+    Repository-Browse.
+  * Remove unnecessary get-orig-source-target.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 04 Jun 2020 06:27:41 -0000
+
 bullet (2.89+dfsg-1) experimental; urgency=medium
 
   * New upstream version 2.89+dfsg.
diff --git a/debian/control b/debian/control
index 17508c5..dee4013 100644
--- a/debian/control
+++ b/debian/control
@@ -19,7 +19,7 @@ Build-Depends-Indep:
  rdfind,
  symlinks
 Standards-Version: 4.5.0
-Homepage: http://www.bulletphysics.org/
+Homepage: https://www.bulletphysics.org/
 Vcs-Git: https://salsa.debian.org/games-team/bullet.git
 Vcs-Browser: https://salsa.debian.org/games-team/bullet
 
diff --git a/debian/rules b/debian/rules
index 02bbaaf..f44885f 100755
--- a/debian/rules
+++ b/debian/rules
@@ -59,6 +59,3 @@ override_dh_clean:
 	$(RM) -r html
 	$(RM) -r build-float32
 	$(RM) -r build-float64
-
-get-orig-source:
-	uscan --verbose --repack --download-current-version --force-download --compression xz
diff --git a/debian/upstream/metadata b/debian/upstream/metadata
new file mode 100644
index 0000000..6de29a7
--- /dev/null
+++ b/debian/upstream/metadata
@@ -0,0 +1,5 @@
+---
+Bug-Database: https://github.com/bulletphysics/bullet3/issues
+Bug-Submit: https://github.com/bulletphysics/bullet3/issues/new
+Repository: https://github.com/bulletphysics/bullet3.git
+Repository-Browse: https://github.com/bulletphysics/bullet3

Publish History

  • 2021-05-08T17:04: Failed to create merge proposal: hoster-no-login (Hoster salsa.debian.org supported but not login known.)
  • 2021-05-08T08:04: Failed to create merge proposal: hoster-no-login (Hoster salsa.debian.org supported but not login known.)
  • 2021-05-08T05:46: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/games-team/bullet.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/games-team/bullet.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-08T03:31: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/games-team/bullet.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/games-team/bullet.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-08T01:01: Failed to create merge proposal: hoster-no-login (Hoster salsa.debian.org supported but not login known.)
  • 2021-05-07T22:39: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/games-team/bullet.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/games-team/bullet.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )

Full worker log Full build log